package com.example.demo;

import org.springframework.cache.annotation.CachePut;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface ProfileRepository extends JpaRepository<Profile, Integer> {
	
	@CachePut(value="ProfileRepoByCode", key="#profile.getCode()")
	Profile save(Profile profile);
}